Subject: Why does c-client try to authenticate more than once?

From: "Eric Schreuder" <[email-masked]>
Date: Wed, 22 Jan 2003 14:23:07 +0100

Hi list,

I am trying to investigate how c-client interacts with OpenSSL. During this
investigation, I noticed that as a result of an smtp_open() call, c-client
authenticates successfully, and after that two times retries to
authenticate. I studied the code of smtp.c::smtp_auth(), but I don't
understand how the do-while is designed to work (end after successful
authentication). Strange thing is that I don't see this re-authentication
(against the same server) in my logs on Windows.

Platform: SuSE Linux, c-client: imap2002b, compiled with "make lsu".

Eric

C-client debug output:

Trying IP address [192.168.1.2]
220 bapi_linux.local ESMTP Sendmail 8.11.6/8.11.6/SuSE Linux 0.5; Wed, 22
Jan 2003 13:35:07 +0100
EHLO [192.168.1.70]
250-bapi_linux.local Hello laptop219.local [192.168.1.70], pleased to meet
you
250-ENHANCEDSTATUSCODES
250-8BITMIME
250-SIZE
250-DSN
250-ONEX
250-ETRN
250-XUSR
250-AUTH CRAM-MD5 LOGIN PLAIN
250-STARTTLS
250 HELP
STARTTLS
220 2.0.0 Ready to start TLS
EHLO [192.168.1.70]
250-bapi_linux.local Hello laptop219.local [192.168.1.70], pleased to meet
you
250-ENHANCEDSTATUSCODES
250-8BITMIME
250-SIZE
250-DSN
250-ONEX
250-ETRN
250-XUSR
250-AUTH CRAM-MD5 LOGIN PLAIN
250 HELP
AUTH CRAM-MD5
334 PDI1MTkxMjA1NjguMzA1MTU4N0BiYXBpX2xpbnV4LmxvY2FsPg==
YmFwaUBiYXBpX2xpbnV4IDk5YjRjYTNhYTliMmJjMWFiYmI1MzRiMGJmY2NlN2Y1
235 2.0.0 OK Authenticated
AUTH CRAM-MD5
503 5.5.0 Already Authenticated
AUTH PLAIN
503 5.5.0 Already Authenticated

-- 
------------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/imap/c-client-list.html
------------------------------------------------------------------

---

From: Mark Crispin <[email-masked]>
Date: Wed, 22 Jan 2003 09:26:18 -0800 (PST)

On Wed, 22 Jan 2003, Eric Schreuder wrote:
> authenticate.

This is not supposed to happen, and I have never seen this problem before.

When you said it doesn't happen in Windows, do you mean to say that it
doesn't happen with a c-client application built on Windows?

Have you made any modifications to your copy of c-client?  Did your copy
of c-client come from a third-party which may have modified it?  If the
problem seems to be specific to UNIX c-client, does it happen on other
UNIX systems?  Can you isolate it to a particular system type, and or a
particular compiler?

-- Mark --

http://staff.washington.edu/mrc
Science does not emerge from voting, party politics, or public debate.